## jdresolve 0.5.2

=== Makefile ===
prefix=/usr
INSTALL=/usr/bin/install
BINDIR=$(prefix)/bin

none: 

install:
	$(INSTALL) -m 555 -o bin -g bin jdresolve $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 555 -o bin -g bin jdresolve-dumpdb $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 555 -o bin -g bin jdresolve-mergedb $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 555 -o bin -g bin jdresolve-unresolved $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 555 -o bin -g bin rhost $(DESTDIR)$(BINDIR)

## jdresolve 0.6.1

=== Makefile ===
prefix=/usr
INSTALL=/usr/bin/install
BINDIR=$(prefix)/bin
MANDIR=$(prefix)/man/man1

none: 

man:
	pod2man jdresolve > jdresolve.1
	cat jdresolve.1 | gzip - > jdresolve.1.gz
	cat rhost.1 | gzip - > rhost.1.gz
	for FILE in AUTHORS README BUGS CHANGELOG CREDITS INSTALL TODO; do lynx --dump "$$FILE.html" | perl -ne "! /^Looking/ and print" > "$$FILE"; done

install:
	$(INSTALL) -m 755 -o bin -g bin jdresolve $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 755 -o bin -g bin rhost $(DESTDIR)$(BINDIR)

	mkdir -p $(DESTDIR)$(MANDIR)
	$(INSTALL) -m 644 -o bin -g bin jdresolve.1 $(DESTDIR)$(MANDIR)
	$(INSTALL) -m 644 -o bin -g bin rhost.1 $(DESTDIR)$(MANDIR)

uninstall:
	rm $(DESTDIR)$(BINDIR)/jdresolve
	rm $(DESTDIR)$(BINDIR)/rhost

	rm $(DESTDIR)$(MANDIR)/jdresolve.1
	rm $(DESTDIR)$(MANDIR)/rhost.1

=== debian/changelog ===
jdresolve (0.6.1-7) unstable; urgency=medium

  * debian/changelog: import 0.6.1-5.1 entry (late thank you for the NMU);
    d/p/0003-apavel-new-net-dns-fix.diff from 0.6.1-6 is a slightly improved
    version of the added patch.

 -- Frederic Peters <fpeters@debian.org>  Tue, 08 Mar 2022 08:11:44 +0100

jdresolve (0.6.1-6) unstable; urgency=medium

  * debian/: overhaul
    * d/control, d/compat: use debhelper-compat (= 12) instead of d/compat
      file.
    * d/control: add Homepage entry with link to new github upstream page.
    * d/control: declare Rules-Requires-Root: field.
    * d/control: update Standards-Version to 4.6.0.
    * d/rules: convert to dh(1).
    * d/source/format: switch to 3.0 (quilt).
  * d/p/0001-fix-linecache-option-name.diff: recreate from 0.6.1-3
  * d/p/0002-fix-nostats-option-name.diff: recreate from 0.6.1-4
  * d/p/0003-apavel-new-net-dns-fix.diff: cherry-pick apavel-new-net-dns-fix
    from upstream, to work with newer Net::DNS versions.

 -- Frederic Peters <fpeters@debian.org>  Mon, 07 Mar 2022 15:11:35 +0100

jdresolve (0.6.1-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix breakage with libnet-dns-perl in jessie and later,
    thanks to Klaus Rein for reporting the bug and
    Matt Johnston for forwarding the fix. (Closes: #801331)

 -- Adrian Bunk <bunk@debian.org>  Thu, 04 Jan 2018 20:21:09 +0200

jdresolve (0.6.1-5) unstable; urgency=medium

  * debian/: merge packaging changes from Ubuntu. (Thanks Logan Rosen)
    * migrate to debhelper compat level 9 (closes: #800252)

 -- Frederic Peters <fpeters@debian.org>  Thu, 05 May 2016 11:32:06 +0200

jdresolve (0.6.1-4) unstable; urgency=low

  * jdresolve.1: typo in option name (--nostats)
    (closes: #184247)

 -- Frederic Peters <fpeters@debian.org>  Tue, 19 Aug 2003 13:45:22 +0200

jdresolve (0.6.1-3) unstable; urgency=low

  * jdresolve.1: fixed --linecache option name in manpage.
    (closes: #182671)

 -- Frederic Peters <fpeters@debian.org>  Fri,  7 Mar 2003 23:57:30 +0100

jdresolve (0.6.1-2) unstable; urgency=low

  * Adopted package. (closes: #158336)
  * debian/control: changed maintainer.
  * debian/rules: remove unused (and commented out) debhelper calls.

 -- Frederic Peters <fpeters@debian.org>  Fri,  6 Sep 2002 12:48:08 +0200

jdresolve (0.6.1-1) unstable; urgency=low

  * QA upload.
  * New upstream version.  Closes: #113352.
  * Package is orphaned (see #158336); maintainer set to Debian QA Group.
  * Added build dependencies.
  * debian/copyright: Point to <http://www.jdrowell.com/> while the pages
    are being redesigned.  Closes: #143694.
  * debian/rules: Use binary-indep rather than binary-arch.
  * debian/changelog: Remove obsolete Emacs local variables.
  * Conforms to Standards version 3.5.6.

 -- Matej Vela <vela@debian.org>  Tue, 27 Aug 2002 18:52:58 +0200

jdresolve (0.5.2-3) unstable; urgency=low

  * wrote man pages for jdresolve, jdresolve-dumpdb, jdresolve-mergedb, 
    jdresolve-unresolved, and rhost and submitted them upstream to 
    the author.

 -- Craig Sanders <cas@taz.net.au>  Fri, 26 Nov 1999 11:03:49 +1100

jdresolve (0.5.2-2) unstable; urgency=low

  * should be architecture: all, not "any".  contains only scripts, not
    compiled binaries.

 -- Craig Sanders <cas@taz.net.au>  Wed, 24 Nov 1999 14:51:08 +1100

jdresolve (0.5.2-1) unstable; urgency=low

  * Initial Release.

 -- Craig Sanders <cas@taz.net.au>  Wed, 24 Nov 1999 14:01:14 +1100

=== debian/control ===
Source: jdresolve
Section: utils
Priority: extra
Maintainer: Frederic Peters <fpeters@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 12)
Rules-Requires-Root: binary-targets
Homepage: https://github.com/jdrowell/jdresolve

Package: jdresolve
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libnet-dns-perl
Description: fast alternative to apache logresolve
 The jdresolve application resolves IP addresses into hostnames. To
 reduce the time necessary to resolve large batches of addresses,
 jdresolve opens many concurrent connections to the DNS servers, and
 keeps a large number of text lines in memory. These lines can have
 any content, as long as the IP addresses are the first field to the
 left. This is usually the case with most formats of HTTP and FTP log
 files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/jdresolve MANDIR=/usr/share/man/man1
